Node('cfg/dilsc1.cfg',
     'triton test',
     interface='5000',
     name='dilsc1',
)

Mod('triton',
    'frappy_psi.mercury.IO',
    'connection to triton software',
    uri='tcp://192.168.2.33:33576',
)

Mod('T_mix',
    'frappy_psi.triton.TemperatureSensor',
    'mix. chamber temperature',
    slot='T8',
    io='triton',
)

Mod('T_pt2head',
    'frappy_psi.triton.TemperatureSensor',
    'PTR2 head temperature',
    slot='T1',
    io='triton',
)

Mod('T_pt2plate',
    'frappy_psi.triton.TemperatureSensor',
    'PTR2 plate temperature',
    slot='T2',
    io='triton',
)

Mod('T_still',
    'frappy_psi.triton.TemperatureSensor',
    'still temperature',
    slot='T3',
    io='triton',
)

Mod('htr_still',
    'frappy_psi.triton.HeaterOutput',
    'still heater',
    slot='H2',
    io='triton',
)

Mod('T_coldpl',
    'frappy_psi.triton.TemperatureSensor',
    'cold plate temperature',
    slot='T4',
    io='triton',
)

Mod('T_mixcx',
    'frappy_psi.triton.TemperatureSensor',
    'mix. chamber cernox',
    slot='T5',
    io='triton',
)

Mod('T_pt1head',
    'frappy_psi.triton.TemperatureSensor',
    'PTR1 head temperature',
    slot='T6',
    io='triton',
)

Mod('T_pt1plate',
    'frappy_psi.triton.TemperatureSensor',
    'PTR1 plate temperature',
    slot='T7',
    io='triton',
)

Mod('T_pucksensor',
    'frappy_psi.triton.TemperatureLoop',
    'puck sensor temperature',
    output_module='htr_pucksensor',
    slot='TA',
    io='triton',
)

Mod('htr_pucksensor',
    'frappy_psi.triton.HeaterOutputWithRange',
    'mix. chamber heater',
    slot='H1,TA',
    io='triton',
)

Mod('T_magnet',
    'frappy_psi.triton.TemperatureSensor',
    'magnet temperature',
    slot='T13',
    io='triton',
)

Mod('action',
    'frappy_psi.triton.Action',
    'higher level scripts',
    io='triton',
    slot='DR',
)

Mod('p_dump',
    'frappy_psi.mercury.PressureSensor',
    'dump pressure',
    slot='P1',
    io='triton',
)

Mod('p_cond',
    'frappy_psi.mercury.PressureSensor',
    'condenser pressure',
    slot='P2',
    io='triton',
)

Mod('p_still',
    'frappy_psi.mercury.PressureSensor',
    'still pressure',
    slot='P3',
    io='triton',
)

Mod('p_fore',
    'frappy_psi.mercury.PressureSensor',
    'pressure on the pump side',
    slot='P5',
    io='triton',
)

Mod('p_back',
    'frappy_psi.mercury.PressureSensor',
    'pressure on the back side of the pump',
    slot='P4',
    io='triton',
)

Mod('p_ovc',
    'frappy_psi.mercury.PressureSensor',
    'outer vacuum pressure',
    slot='P6',
    io='triton',
)

Mod('V1',
    'frappy_psi.triton.Valve',
    'valve V1',
    slot='V1',
    io='triton',
)

Mod('V2',
    'frappy_psi.triton.Valve',
    'valve V2',
    slot='V2',
    io='triton',
)

Mod('V4',
    'frappy_psi.triton.Valve',
    'valve V4',
    slot='V4',
    io='triton',
)

Mod('V5',
    'frappy_psi.triton.Valve',
    'valve V5',
    slot='V5',
    io='triton',
)

Mod('V9',
    'frappy_psi.triton.Valve',
    'valve V9',
    slot='V9',
    io='triton',
)

Mod('ips',
    'frappy_psi.mercury.IO',
    'IPS for magnet',
    uri='192.168.127.254:3001',
)

Mod('mf',
    'frappy_psi.dilsc.VectorField',
    'vector field',
    x='mfx',
    y='mfy',
    z='mfz',
    sphere_radius=0.6,
    cylinders=((0.23, 5.2), (0.45, 0.8)),
)

Mod('mfx',
    'frappy_psi.ips_mercury.SimpleField',
    'magnetic field, x-axis',
    slot='GRPX',
    io='ips',
    tolerance=0.0001,
    wait_stable_field=0.0,
    nunits=2,
    target=Param(max=0.6),
    ramp=0.225,
)

Mod('mfy',
    'frappy_psi.ips_mercury.SimpleField',
    'magnetic field, y axis',
    slot='GRPY',
    io='ips',
    tolerance=0.0001,
    wait_stable_field=0.0,
    nunits=2,
    target=Param(max=0.6),
    ramp=0.225,
)

Mod('mfz',
    'frappy_psi.ips_mercury.Field',
    'magnetic field, z-axis',
    slot='GRPZ',
    io='ips',
    tolerance=0.0001,
    target=Param(max=5.2),
    mode='DRIVEN',
    ramp=0.52,
)
